Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 9565)
+++ trunk/BNC/src/bncwindow.cpp	(revision 9572)
@@ -131,5 +131,5 @@
   _mapWin = 0;
 
-  int ww = QFontMetrics(this->font()).width('w');
+  int ww = QFontMetrics(this->font()).horizontalAdvance('w');
 
   static const QStringList labels = QString("account, Streams:   resource loader / mountpoint, decoder, country, lat, long, nmea, ntrip, bytes").split(",");
@@ -1453,6 +1453,6 @@
   _pppWidgets._modelObs->setWhatsThis(tr("<p>Specify which kind of PPP model you want to use:</p><p><ul><li>Iopnosphere-free PPP</li><li>Uncombined PPP</li><li>PPP-RTK (recommended for test purposes only because of an incomplete standardized SSR model)</li><li>DCM with Code or Phase Biases</li><li></p><p>[key: PPP/modelObs]</i></p>"));
   _pppWidgets._pseudoObs->setWhatsThis(tr("<p>Specify which kind of pseudo observations you want to use. Please note, pseudo observations regarding the Ionosphere are useful, as soon as the ionospheric information is more accurate than the code data accuracy. <i>[key: PPP/pseudoObs]</i></p>"));
-  _pppWidgets._sigmaC1->setWhatsThis(tr("<p>Enter a Sigma for GNSS C1 code observations in meters.</p><p>The higher the sigma you enter, the less the contribution of C1 code observations to a PPP solution from combined code and phase data. 2.0 is likely to be an appropriate choice.</p><p>Default is an empty option field, meaning<br>'Sigma C1 = 2.0' <i>[key: PPP/sigmaC1]</i></p>"));
-  _pppWidgets._sigmaL1->setWhatsThis(tr("<p>Enter a Sigma for GNSS L1 phase observations in meters.</p><p>The higher the sigma you enter, the less the contribution of L1 phase observations to a PPP solutions from combined code and phase data. 0.02 is likely to be an appropriate choice.</p><p>Default is an empty option field, meaning<br>'Sigma L1 = 0.02' <i>[key: PPP/sigmaL1]</i></p>"));
+  _pppWidgets._sigmaC1->setWhatsThis(tr("<p>Enter a Sigma for GPS C1 code observations in meters.</p><p>The higher the sigma you enter, the less the contribution of GPS C1 code observations to a PPP solution from combined code and phase data. 2.0 is likely to be an appropriate choice.</p><p>Default is an empty option field, meaning<br>'Sigma C1 = 2.0' <i>[key: PPP/sigmaC1]</i></p>"));
+  _pppWidgets._sigmaL1->setWhatsThis(tr("<p>Enter a Sigma for GPS L1 phase observations in meters.</p><p>The higher the sigma you enter, the less the contribution of GPS L1 phase observations to a PPP solutions from combined code and phase data. 0.02 is likely to be an appropriate choice.</p><p>Default is an empty option field, meaning<br>'Sigma L1 = 0.02' <i>[key: PPP/sigmaL1]</i></p>"));
   _pppWidgets._sigmaGIM->setWhatsThis(tr("<p>Enter a Sigma for GIM pseudo observations in meters.</p><p>The higher the sigma you enter, the less the contribution of GIM pseudo observations to a PPP solution. 5.0 is likely to be an appropriate choice.</p><p>Default is an empty option field, meaning<br>'Sigma GIM = 5.0' <i>[key: PPP/sigmaGIM]</i></p>"));
   _pppWidgets._maxResC1->setWhatsThis(tr("<p>Specify a maximum for residuals from GPS C1 code observations in a PPP solution. '3.0' meters may be an appropriate choice for that.</p><p>If the maximum is exceeded, contributions from the corresponding observation will be ignored in the PPP solution.</p><p>Default is an empty option field, meaning<br>'Max Res C1 = 3.0' <i>[key: PPP/maxResC1]</i></p>"));
@@ -1511,5 +1511,5 @@
   // ---------------------
   _log->setWhatsThis(tr("<p>Records of BNC's activities are shown in the 'Log' tab. The message log covers the communication status between BNC and the Ntrip Broadcaster as well as problems that occur in the communication link, stream availability, stream delay, stream conversion etc.</p>"));
-  _bncFigure->setWhatsThis(tr("<p>The bandwidth consumption per stream is shown in the 'Throughput' tab in bits per second (bps) or kilobits per second (kbps).</p>"));
+  _bncFigure->setWhatsThis(tr("<p>The bandwith consumption per stream is shown in the 'Throughput' tab in bits per second (bps) or kilobits per second (kbps).</p>"));
   _bncFigureLate->setWhatsThis(tr("<p>The individual latency of observations of incoming streams is shown in the 'Latency' tab. Streams not carrying observations (e.g. those providing only Broadcast Ephemeris) remain unconsidered.</p><p>Note that the calculation of correct latencies requires the clock of the host computer to be properly synchronized.</p>"));
   _bncFigurePPP->setWhatsThis(tr("<p>PPP time series of North (red), East (green) and Up (blue) displacements are shown in the 'PPP Plot' tab when the corresponding option is selected.</p><p>Values are referred to an XYZ a priori coordinate. The sliding PPP time series window covers the period of the latest 5 minutes.</p>"));
@@ -1793,5 +1793,5 @@
   bool flg[nRows];
   for (int iRow = 0; iRow < nRows; iRow++) {
-    if (_mountPointsTable->isItemSelected(_mountPointsTable->item(iRow,1))) {
+    if (_mountPointsTable->item(iRow,1)->isSelected()) {
       flg[iRow] = true;
     }
@@ -2341,5 +2341,5 @@
     settings.setValue("font", newFont.toString());
     QApplication::setFont(newFont);
-    int ww = QFontMetrics(newFont).width('w');
+    int ww = QFontMetrics(newFont).horizontalAdvance('w');
     setMinimumSize(60*ww, 80*ww);
     resize(60*ww, 80*ww);
@@ -2431,5 +2431,5 @@
   tb->setReadOnly(true);
 
-  int ww = QFontMetrics(font()).width('w');
+  int ww = QFontMetrics(font()).horizontalAdvance('w');
   QPushButton* _closeButton = new QPushButton("Close");
   _closeButton->setMaximumWidth(10*ww);
@@ -2461,5 +2461,5 @@
    QDialog(parent) {
 
-  int ww = QFontMetrics(font()).width('w');
+  int ww = QFontMetrics(font()).horizontalAdvance('w');
   QPushButton* _closeButton = new QPushButton("Close");
   _closeButton->setMaximumWidth(10*ww);
@@ -2714,5 +2714,5 @@
   bool flg[nRows];
   for (int iRow = 0; iRow < nRows; iRow++) {
-    if (_cmbTable->isItemSelected(_cmbTable->item(iRow,1))) {
+    if (_cmbTable->item(iRow,1)->isSelected()) {
       flg[iRow] = true;
     }
@@ -2820,5 +2820,5 @@
   bool flg[nRows];
   for (int iRow = 0; iRow < nRows; iRow++) {
-    if (_uploadTable->isItemSelected(_uploadTable->item(iRow,1))) {
+    if (_uploadTable->item(iRow,1)->isSelected()) {
       flg[iRow] = true;
     }
@@ -2979,5 +2979,5 @@
   bool flg[nRows];
   for (int iRow = 0; iRow < nRows; iRow++) {
-    if (_uploadEphTable->isItemSelected(_uploadEphTable->item(iRow,1))) {
+    if (_uploadEphTable->item(iRow,1)->isSelected()) {
       flg[iRow] = true;
     }